#' A simulated dataset with moderator
#'
#' This simulated dataset contains a hypothetical moderating variable that is dichotomously coded.
#' The true model dictated that the moderator moderated both a and b paths of the mediational model,
#' though the strength of moderation may be small.
#'
#' @format A data frame with 800 observations (from 50 subjects) and 5 variables
#' \describe{
#'   \item{L2id}{Level 2 or subject ID}
#'   \item{X}{Predictor}
#'   \item{M}{Mediator}
#'   \item{Y}{Outcome}
#'   \item{mod}{Moderator}
#' }
"simdat"
